Retrieve the last Reading
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/readings/last \
--header 'Authorization: Bearer <token>'{
"data": {
"activeUserReference": "<string>",
"instantaneousCurrent": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"instantaneousVoltage": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"isCharging": true,
"isPluggedIn": true,
"location": {
"address": "<string>",
"latitude": 123,
"longitude": 123
},
"locationMatches": [
{
"accuracy": 123,
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
}
],
"negativeActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"negativeActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeGasVolume": {
"unit": "<string>",
"value": 123
},
"odometer": {
"unit": "<string>",
"value": 123
},
"positiveActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"positiveActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveGasVolume": {
"unit": "<string>",
"value": 123
},
"positiveReactiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"range": {
"unit": "<string>",
"value": 123
},
"stateOfCharge": {
"unit": "<string>",
"value": 123
}
},
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measured": "2023-11-07T05:31:56Z",
"processed": "2023-11-07T05:31:56Z",
"received": "2023-11-07T05:31:56Z"
}Readings
Retrieve the last Reading for an Entity
Returns the most recent normalized Reading for an Entity
GET
/
v1
/
entities
/
{entityId}
/
readings
/
last
Retrieve the last Reading
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/readings/last \
--header 'Authorization: Bearer <token>'{
"data": {
"activeUserReference": "<string>",
"instantaneousCurrent": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"instantaneousVoltage": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"isCharging": true,
"isPluggedIn": true,
"location": {
"address": "<string>",
"latitude": 123,
"longitude": 123
},
"locationMatches": [
{
"accuracy": 123,
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
}
],
"negativeActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"negativeActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"negativeGasVolume": {
"unit": "<string>",
"value": 123
},
"odometer": {
"unit": "<string>",
"value": 123
},
"positiveActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"positiveActiveEnergyPhases": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveActiveInstantaneousPower": {
"unit": "<string>",
"l1": 123,
"l2": 123,
"l3": 123,
"total": 123
},
"positiveGasVolume": {
"unit": "<string>",
"value": 123
},
"positiveReactiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"range": {
"unit": "<string>",
"value": 123
},
"stateOfCharge": {
"unit": "<string>",
"value": 123
}
},
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measured": "2023-11-07T05:31:56Z",
"processed": "2023-11-07T05:31:56Z",
"received": "2023-11-07T05:31:56Z"
}Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Response
OK
A reading.
The data of a reading.
Show child attributes
Show child attributes
The id of the Entity
The id of the reading.
The timestamp of the reading.
The timestamp the reading was processed.
The timestamp the reading was received.
Was this page helpful?
⌘I